Summary:	Graphical tool to access EXIF extensions in JPEG files
Name:		gexif
Version:	0.5
Release:	%mkrel 14
License:	GPL
Group:		Graphics
Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/gexif-0.5.tar.bz2
Patch:		gexif-0.5-warning_non_fatal.patch
URL:		http://sourceforge.net/projects/libexif
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	popt
BuildRequires:	libexif-devel libexif-gtk-devel popt-devel pkgconfig libgtk+2.0-devel

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This package contains a graphical frontend for the EXIF library.

%prep
%setup -q
%patch -p1 -b .warning_non_fatal
# Make gexif compile with GTK 2.4.x or newer
perl -n -i -e '/^\s*-DGTK_DISABLE_DEPRECATED\b.*$/ || print $_' gexif/Makefile*

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Gexif
Comment=Access EXIF information from pictures
Exec=%{_bindir}/%{name}
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;GTK;X-MandrivaLinux-Multimedia-Graphics;
EOF

%post
%update_desktop_database

%postun
%clean_desktop_database


%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/pclinuxos-%{name}.desktop 

%changelog
* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.5-14pclos2010
- rebuild

* Mon Aug 31 2009 pcserver <pcserver at hushmail.con>< 0.5-13pclos2009
- rebuild against updated libs

* Mon Oct 08 2007 Texstar <texstar@gmail.com> 0.5-12pclos2007
- rebuild against updated libraries
- remove old menu system
- add xdg menu system

* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 0.5.11pclos2007
- Build for PCLinuxOS 2007
